Subject: bug#65464: Emacs 29.1 - VHDL mode missing updates…

From: Reto Zimmermann <[email-masked]>
Date: Wed, 30 Aug 2023 14:23:44 +0200

On 2023-08-29 18:46, Stefan Kangas wrote:
> Reto Zimmermann <[email-masked]> writes:
> 
>> My latest version 3.39.2 with all older and recent updates is at
>>
>> https://iis.ee.ethz.ch/~zimmi/emacs/vhdl-mode.html
> 
> Would you be willing to merge the changes from the Emacs master branch
> into your version, and perhpaps even release a new version based on
> the result?  Then we could just simply copy your new version into
> emacs.git.
> 
> One important thing that has changed in emacs.git version is that
> lexical-binding was enabled.

Too many changes have been applied on Emacs side without my knowledge. 
Some time ago I went through all of them and merged many into my code, 
but some changes I could not approve of because they broke/changed 
functionality and therefore didn't apply them.  So, there are still 
quite some differences that I'm not able to resolve myself.